#language: ru

@pricing

Функционал: 005. Pricing. Создание видов цен

Сценарий: 005.1. Pricing. Создание видов цен

	Дано Я подключаюсь под "Ценообразование"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.005. Цены"
	Дано я удаляю объекты "Справочники.ВидыЦен" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Виды цен'
	Тогда открылось окно 'Виды цен'
	* Базовый вид цен
		И Я начинаю создавать вид цены "Базовый"
		И я изменяю флаг 'Включает НДС'
		И я меняю значение переключателя 'Способ задания' на 'Ручной ввод'
		И я изменяю флаг 'Доступны уточнения в соглашениях'
		И Я устанавливаю код "4" для вида цены
		И Я заканчиваю создавать вид цены
	* Базовый для зависимых
		И Я начинаю создавать вид цены "Базовый для зависимых"
		И я изменяю флаг 'Включает НДС'
		И я меняю значение переключателя 'Способ задания' на 'Ручной ввод'
		И я изменяю флаг 'Доступны уточнения в соглашениях'
		И Я устанавливаю код "5" для вида цены
		И Я заканчиваю создавать вид цены
	* Зависимый1
		И Я начинаю создавать вид цены "Зависимый 1"
		И я изменяю флаг 'Включает НДС'
		И я меняю значение переключателя 'Способ задания' на 'Наценка на вид цены'
		И из выпадающего списка "Базовый вид цены" я выбираю по строке 'Базовый для зависимых'
		И в поле с именем 'ПроцентНаценки' я ввожу текст '10,00'
		И я изменяю флаг 'Доступны уточнения в соглашениях'
		И я разворачиваю группу с именем "Группа_Уточнения"
		И в таблице "Уточнения" я нажимаю на кнопку с именем 'УточненияДобавить'
		И в таблице "Уточнения" из выпадающего списка "Товарная категория" я выбираю по строке 'Мягкие сыры'
		И в таблице "Уточнения" в поле с именем 'УточненияПроцентНаценки' я ввожу текст '15,00'
		И в таблице "Уточнения" я завершаю редактирование строки
		И Я устанавливаю код "6" для вида цены
		И Я заканчиваю создавать вид цены
	* Зависимый2
		И Я начинаю создавать вид цены "Зависимый 2"
		И я изменяю флаг 'Включает НДС'
		И я меняю значение переключателя 'Способ задания' на 'Наценка на вид цены'
		И из выпадающего списка "Базовый вид цены" я выбираю по строке 'Базовый для зависимых'
		И в поле с именем 'ПроцентНаценки' я ввожу текст '15,00'
		И я изменяю флаг 'Доступны уточнения в соглашениях'
		И я разворачиваю группу с именем "Группа_Уточнения"
		И в таблице "Уточнения" я нажимаю на кнопку с именем 'УточненияДобавить'
		И в таблице "Уточнения" из выпадающего списка "Товарная категория" я выбираю по строке 'Твердые сыры'
		И в таблице "Уточнения" в поле с именем 'УточненияПроцентНаценки' я ввожу текст '20,00'
		И в таблице "Уточнения" я завершаю редактирование строки
		И Я устанавливаю код "7" для вида цены
		И Я заканчиваю создавать вид цены
	* Ашан
		И Я начинаю создавать вид цены "Ашан"
		И я изменяю флаг 'Включает НДС'
		И я меняю значение переключателя 'Способ задания' на 'Ручной ввод'
		И я изменяю флаг 'Доступны уточнения в соглашениях'
		И Я устанавливаю код "8" для вида цены
		И Я заканчиваю создавать вид цены
	* 5ка
		И Я начинаю создавать вид цены "5ка"
		И я меняю значение переключателя 'Способ задания' на 'Ручной ввод'
		И я изменяю флаг 'Доступны уточнения в соглашениях'
		И Я устанавливаю код "9" для вида цены
		И Я заканчиваю создавать вид цены
	* Перекресток
		И Я начинаю создавать вид цены "Перекресток"
		И я изменяю флаг 'Включает НДС'
		И я меняю значение переключателя 'Способ задания' на 'Ручной ввод'
		И я изменяю флаг 'Доступны уточнения в соглашениях'
		И Я устанавливаю код "10" для вида цены
		И Я заканчиваю создавать вид цены
	* Пятерочка
		И Я начинаю создавать вид цены "Пятерочка"
		И я изменяю флаг 'Включает НДС'
		И я меняю значение переключателя 'Способ задания' на 'Ручной ввод'
		И я изменяю флаг 'Доступны уточнения в соглашениях'
		И Я заканчиваю создавать вид цены
	* Поставщик (проверка цен)
		И Я начинаю создавать вид цены "Поставщик (проверка цен)"
		И я изменяю флаг 'Включает НДС'
		И я меняю значение переключателя 'Способ задания' на 'Ручной ввод'
		И я изменяю флаг 'Доступны уточнения в соглашениях'
		И Я заканчиваю создавать вид цены
	И Я закрываю окно 'Виды цен'

Сценарий: 005.2. Pricing. Завершение

	И Я закрыл все окна клиентского приложения